<?php
if (!isset($_SESSION)){
session_start();
}
// Required File Start.........

require __DIR__.'/conf.php'; //Configuration
require __DIR__.'/connect.php'; //Database
require __DIR__.'/vendor/autoload.php';
use phpish\shopify;
// Required File END...........

if((isset($_REQUEST['shop'])) && $_REQUEST['shop']!='' )
{	
	$shop = $_REQUEST['shop'];
//	echo $shop;
	$sql = "SELECT * FROM $tableName WHERE shop_url='$shop'";
	$result = mysqli_query($con, $sql);
	if(mysqli_num_rows($result) > 0) {
		$row = mysqli_fetch_assoc($result);
		$access_token = $row['access_token'];
		include_once('uninstallApp.php');
?>
		<html>
		<head>
			<title>SnapChat Pixel</title>
			<!--Style-->
			<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,400i,600,700" rel="stylesheet">
			<link href="css/jquery-ui.css" rel="stylesheet" />
			<link href="css/bootstrap.min.css" rel="stylesheet" type="text/css"/>  
			<link href="css/main.css" rel="stylesheet" type="text/css" />
			<!--Style-->
			<!--Script-->
			<script src="js/jquery.min.js"></script>
			<script src="js/jquery-ui.js"></script>
			<script src="js/bootstrap.min.js"></script>
			<script src="https://use.fontawesome.com/988a7dc35f.js"></script>
			<!--Script-->
		</head>
		<body>
		<div class="content-container">
			<div class="loader"><span>Loading..Please Wait</span></div>
			<div id="main-container" class="container">
				<div id="tabs">
					<ul>
						<li><a href="#settings">Settings</a></li>
						<li><a href="#faq">FAQ</a></li>
						<li><a href="#contact_us">Contact us</a></li>
					</ul>
					<div id="settings">
						<?php include_once(__DIR__.'/files/pixelSetting.php'); ?>
					</div>
					<div id="faq">
						<?php include_once(__DIR__.'/files/Faq.html'); ?>
					</div>
					<div id="contact_us">
						<?php include_once(__DIR__.'/files/contactUs.php'); ?>
					</div>
				</div>	
			</div>
		</div> 

		<script>
		function showLoader(shop) {
			$.ajax({
				url: '/removeShopData.php?shop='+shop,
				type: 'GET',
				success: function(response) {
					//console.log(response);
					top.location.href = response;
				}
			});
		}
		function addScript(access_token,shop) {
			$.ajax({
				url: '/addScript.php?access_token='+access_token+'&shop='+shop,
				type: 'GET',
				success: function(response) {
					//console.log(response);
				}
			});
		}
		// Add Asset				
		function addAsset(access_token,shop) {
			$.ajax({	
				type: 'GET',			
				url: '/addAsset.php?access_token='+access_token+'&shop='+shop,		
				success: function(response){			
					//console.log(response);
				}
			});
		}
		// Contact info on load
		function contactInfo(access_token,shop) {
			$.ajax({
				url: '/contactInfo.php?access_token='+access_token+'&shop='+shop,
				type: 'GET',
				success: function(response) {
					if($.trim(response)) {
						var contactData = JSON.parse(response);
						$('#contactUs #email').val(contactData['email']);
						$('#contactUs #store_url').val(contactData['myshopify_domain']);
						var shop_owner = contactData['shop_owner'].split(' ');
						$('#contactUs #firstname').val(shop_owner[0]);
						$('#contactUs #lastname').val(shop_owner[1]);
					}
				}
			});
		}
		// get Snapchat Pixel Code
		function getPixelCode(access_token,shop) {
			$.ajax({
				url: '/getPixelCode.php?access_token='+access_token+'&shop='+shop,
				type: 'GET',
				success: function(response) {
					if($.trim(response).indexOf("[401]") > -1) {
						showLoader(shop);
					} else {
						$(".loader").hide();
						$('#pixelEditor').val(response);
						addScript(access_token,shop);
						addAsset(access_token,shop);
						contactInfo(access_token,shop);
					}
				},
				error: function() {
					showLoader(shop);
				}
			});
		}	

		$(document).ready(function(){
			$( "#tabs" ).tabs();
			var icons = {
			  header: "ui-icon-plus",
			  activeHeader: "ui-icon-minus"
			};
			$( "#faq-accordion" ).accordion({
				collapsible: true,
				heightStyle: "content",
				icons: icons
			});
			
			var access_token = '<?php echo $access_token ?>';
			var shop = '<?php echo $shop ?>';

			getPixelCode(access_token,shop);
			
			$('#savepixel').click(function(e){
				e.preventDefault();
				$('#savepixel').val('Saving...');
				var pixelCode = $('#pixelEditor').val();
				if(pixelCode != '') {
					var formData = {'pixelCode': $('#pixelEditor').val() };
					$.ajax({
						url: '/savePixelCode.php?access_token='+access_token+'&shop='+shop,
						type: 'GET',
						data: formData,
						success: function(response) {
							if(response.indexOf('Save Pixel Code') > -1) {
								$('#settings .alert-success.installed-msg').show().fadeOut(4000);
								addScript(access_token,shop);
								addAsset(access_token,shop);
								$('#savepixel').val('Save');
							}
						}
					});
				} else {
					$.ajax({
						url: '/deletePixelCode.php?access_token='+access_token+'&shop='+shop,
						type: 'GET',
						data: formData,
						success: function(response) {
							console.log(response);
							$('#settings .alert-success.removed-msg').show().fadeOut(4000);
							$('#savepixel').val('Save');
						}
					});
				}
			});
			
			$('#sendEmail').click(function(e){
				if($('#firstname').val() != '' && $('#lastname').val() != '' && $('#email').val() != '' && $('#query').val() != '') {
					e.preventDefault();
					$('#contactUs .alert').hide();
					var formData = $('#contactUs').serialize();
					$.ajax({
						url: '/sendEmail.php?access_token='+access_token+'&shop='+shop,
						type: 'GET',
						data: formData,
						success: function(response) {
							if(response.indexOf('Sent') > -1) {
								$('#contact_us .alert-success').show().fadeOut(4000);
							} else {
								$('#contact_us .alert-danger').show().fadeOut(4000);
							}
						}
					});
				}
			});
		});
		</script>

	</body>
</html>
<?php
	}
}
?>